# Uses of Interface
org.apache.sling.discovery.commons.providers.spi.base.DiscoveryLiteConfig

Packages that use DiscoveryLiteConfig
Package
Description
org.apache.sling.discovery.commons.providers.spi.base
Provides default SPI-implementations used by discovery.commons.providers.impl

## Uses of DiscoveryLiteConfig in org.apache.sling.discovery.commons.providers.spi.base

Fields in org.apache.sling.discovery.commons.providers.spi.base declared as DiscoveryLiteConfig
Modifier and Type
Field
Description
`protected DiscoveryLiteConfig`
OakBacklogClusterSyncService.`commonsConfig`
`protected DiscoveryLiteConfig`
SyncTokenService.`commonsConfig`
Methods in org.apache.sling.discovery.commons.providers.spi.base that return DiscoveryLiteConfig
Modifier and Type
Method
Description
`protected DiscoveryLiteConfig`
OakBacklogClusterSyncService.`getCommonsConfig()`
Methods in org.apache.sling.discovery.commons.providers.spi.base with parameters of type DiscoveryLiteConfig
Modifier and Type
Method
Description
`static IdMapService`
IdMapService.`testConstructor(DiscoveryLiteConfig commonsConfig, org.apache.sling.settings.SlingSettingsService settingsService, org.apache.sling.api.resource.ResourceResolverFactory resourceResolverFactory)`
test-only constructor
`static OakBacklogClusterSyncService`
OakBacklogClusterSyncService.`testConstructor(DiscoveryLiteConfig commonsConfig, IdMapService idMapService, org.apache.sling.settings.SlingSettingsService settingsService, org.apache.sling.api.resource.ResourceResolverFactory resourceResolverFactory)`
for testing only!
`static SyncTokenService`
SyncTokenService.`testConstructor(DiscoveryLiteConfig commonsConfig, org.apache.sling.api.resource.ResourceResolverFactory resourceResolverFactory, org.apache.sling.settings.SlingSettingsService settingsService)`
`static OakBacklogClusterSyncService`
OakBacklogClusterSyncService.`testConstructorAndActivate(DiscoveryLiteConfig commonsConfig, IdMapService idMapService, org.apache.sling.settings.SlingSettingsService settingsService, org.apache.sling.api.resource.ResourceResolverFactory resourceResolverFactory)`
`static SyncTokenService`
SyncTokenService.`testConstructorAndActivate(DiscoveryLiteConfig commonsConfig, org.apache.sling.api.resource.ResourceResolverFactory resourceResolverFactory, org.apache.sling.settings.SlingSettingsService settingsService)`